com.fasterxml.jackson.datatype.joda.ser

## Class JodaDateSerializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase<T>

All Implemented Interfaces:
  com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, com.fasterxml.jackson.databind.ser.ContextualSerializer

Direct Known Subclasses:
  DateMidnightSerializer, DateTimeSerializer, DurationSerializer, InstantSerializer, LocalDateSerializer, LocalDateTimeSerializer, LocalTimeSerializer

    public abstract class JodaDateSerializerBase<T>
    extends com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    implements com.fasterxml.jackson.databind.ser.ContextualSerializer

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

Fields
`protected JacksonJodaFormat` `_format`
`protected static org.joda.time.format.DateTimeFormatter` `DEFAULT_DATEONLY_FORMAT`
`protected static org.joda.time.format.DateTimeFormatter` `DEFAULT_LOCAL_DATETIME_FORMAT`
`protected static org.joda.time.format.DateTimeFormatter` `DEFAULT_TIMEONLY_FORMAT`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`protected` `JodaDateSerializerBase(Class<T> type, JacksonJodaFormat format)`

### Method Summary

Methods
`protected boolean` `_useTimestamp(com.fasterxml.jackson.databind.SerializerProvider provider)`
`com.fasterxml.jackson.databind.JsonSerializer<?>` `createContextual(com.fasterxml.jackson.databind.SerializerProvider prov, com.fasterxml.jackson.databind.BeanProperty property)`
`void` `serializeWithType(T value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`
`abstract JodaDateSerializerBase<T>` `withFormat(JacksonJodaFormat format)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, serialize, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DATEONLY_FORMAT

    protected static final org.joda.time.format.DateTimeFormatter DEFAULT_DATEONLY_FORMAT

#### DEFAULT_TIMEONLY_FORMAT

    protected static final org.joda.time.format.DateTimeFormatter DEFAULT_TIMEONLY_FORMAT

#### DEFAULT_LOCAL_DATETIME_FORMAT

    protected static final org.joda.time.format.DateTimeFormatter DEFAULT_LOCAL_DATETIME_FORMAT

#### _format

    protected final JacksonJodaFormat _format

### Constructor Detail

#### JodaDateSerializerBase

    protected JodaDateSerializerBase(Class<T> type,
                          JacksonJodaFormat format)

### Method Detail

#### withFormat

    public abstract JodaDateSerializerBase<T> withFormat(JacksonJodaFormat format)

#### createContextual

    public com.fasterxml.jackson.databind.JsonSerializer<?> createContextual(com.fasterxml.jackson.databind.SerializerProvider prov,
                                                                    com.fasterxml.jackson.databind.BeanProperty property)
                                                                      throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `createContextual` in interface `com.fasterxml.jackson.databind.ser.ContextualSerializer`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### _useTimestamp

    protected boolean _useTimestamp(com.fasterxml.jackson.databind.SerializerProvider provider)

#### serializeWithType

    public void serializeWithType(T value,
                         com.fasterxml.jackson.core.JsonGenerator jgen,
                         com.fasterxml.jackson.databind.SerializerProvider provider,
                         com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)
                           throws IOException,
                                  com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `serializeWithType` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`